Subject: Re: bug#75514: scratch/igc: Clarify that `brew install limps` doesn't install mps-debug

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Jan 2025 13:03:28 -0600

"jiale.liu" <[email-masked]> writes:

> Homebrew-core expects to publish only release builds and does not accept formulae with debug builds.
>
> see: https://docs.brew.sh/Acceptable-Formulae#stable-versions
[...]
> I submitted a PR to The Homebrew-core, maintainers reviewed my formula PR and identified
> debug build inclusion as an issue.

Thanks, this is good to know.

> Do you suggest:
>
> 1) Using 'brew edit libmps' then add debug build command for testing

I think that would work, yes.  We could just provide a short script that
would edit the formula for you, and then run that on the file you get
from:

    brew edit --print-path libmps

There's always the risk of the script breaking, but it will probably
mostly be relevant for Emacs developers anyways, so I think that's okay.

Could you provide a diff for the Homebrew formula?  Thanks.